/***************************************************************************
 *            db-fun.h
 *
 *  Mon Aug 22 10:11:06 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomek@paradox.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <sqlite3.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>

sqlite3		*db_handler;


void		first_run				(void);

gboolean	check_db_exist			(void);

void		open_db					(void);

gboolean	close_db				(void);

gint		count_returned_rows		(gchar	*sql_query);

void		clear_tmp_fields		(void);
