/***************************************************************************
 *            interface.h
 *
 *  Wed Aug 10 12:27:12 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomek@paradox.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <glade/glade.h>

GladeXML	*main_win_xml;

GladeXML	*single_book_xml;

GladeXML	*about_xml;

GladeXML	*settings_xml;

GladeXML	*multi_volume_xml;

GladeXML	*select_m_books_xml;

/*	Osobne zmienne GladeXML dla okien zarzadzania gatunkami, autorami itd.	*/

GladeXML	*menage_authors_data_xml;

GladeXML	*menage_generes_data_xml;

GladeXML	*menage_pub_houses_data_xml;


GladeXML	*search_tool_xml;

GladeXML	*display_book_info_xml;



GdkPixbuf	*icon;


gboolean	load_gui_xml						(void);

gboolean	check_if_dialog_exist				(GladeXML	*xml);


GtkWidget	*create_main_win					(void);

GtkWidget	*create_single_book_dlg				(gint		mode);
	
GtkWidget	*create_about_dlg					(void);

GtkWidget	*create_settings_dlg				(void);

gint		create_add_book_type_dlg			(void);

GtkWidget	*create_multi_volume_dlg			(gint		mode);

GtkWidget	*create_select_m_books_dlg			(void);

GtkWidget	*create_menage_data_dlg				(gint		mode);

GtkWidget	*create_search_tool_dlg				(void);

GtkWidget	*create_display_book_info_dlg		(void);

void		show_message_dlg					(gchar		*first_text,
												 gchar		*sec_text,
												 gint		dlg_mode);
		
gboolean	show_question_dlg					(gchar		*first_text,
												 gchar		*sec_text);
										 

void		set_statusbar_text					(gchar		*text);
		
void		set_widget_sensinitive 				(GladeXML	*xml,
												 gchar		*widget_name,
												 gboolean	status);
