/***************************************************************************
 *            main-callbacks.h
 *
 *  Wed Aug 10 12:41:25 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomek@paradox.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>


gboolean
on_main_win_delete_event               (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_add_book_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);										

void
on_backup_data_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_exit_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_edit_authors_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_edit_genere_base_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_edit_pub_houses_base_activate       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_search_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_settings_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_main_add_book_tbut_clicked          (GtkToolButton   *toolbutton,
                                        gpointer         user_data);
																			
void
on_main_exit_tbut_clicked              (GtkToolButton   *toolbutton,
                                        gpointer         user_data);								

void
on_main_search_en_activate             (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_main_search_tbut_clicked            (GtkToolButton   *toolbutton,
                                        gpointer         user_data);										



void
on_single_volume_tview_cursor_changed  (GtkTreeView     *treeview,
                                        gpointer         user_data);
										
void
on_multi_volume_tview_cursor_changed   (GtkTreeView     *treeview,
                                        gpointer         user_data);

void
on_lend_book_togbut_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_s_edit_book_but_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_s_remove_book_but_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_multi_edit_book_but_clicked         (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_multi_remove_book_but_clicked       (GtkButton       *button,
                                        gpointer         user_data);		

void
on_single_volume_tview_row_activated   (GtkTreeView     *treeview,
                                        GtkTreePath     *path,
                                        GtkTreeViewColumn *column,
                                        gpointer         user_data);
										
void
on_multi_volume_tview_row_activated   (GtkTreeView     *treeview,
                                        GtkTreePath     *path,
                                        GtkTreeViewColumn *column,
                                        gpointer         user_data);
