/***************************************************************************
 *            other-callbacks.h
 *
 *  Mon Aug 29 14:16:25 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomek@paradox.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>


void
on_settings_cancel_but_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_settings_ok_but_clicked             (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_settings_dlg_delete_event           (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_single_book_save_but_clicked        (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_single_book_update_but_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_single_book_cancel_but_clicked	   (GtkButton       *button,
                                        gpointer         user_data);
										
gboolean
on_single_book_dlg_delete_event        (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);


void
on_menage_data_close_but_clicked       (GtkButton       *button,
                                        gpointer         user_data);
										
gboolean
on_menage_data_dlg_delete_event        (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);										
										
void
on_menage_data_tview_cursor_changed    (GtkTreeView     *treeview,
                                        gpointer         user_data);

void
on_menage_data_en_changed              (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_menage_data_add_but_clicked         (GtkEditable     *editable,
                                        gpointer         user_data);
										
void
on_menage_data_remove_but_clicked      (GtkEditable     *editable,
                                        gpointer         user_data);
										
										

void
on_search_run_but_clicked              (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_search_stop_but_clicked             (GtkButton       *button,
                                        gpointer         user_data);										

void
on_search_close_but_clicked            (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_search_tool_dlg_delete_event        (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);
										
void
on_search_title_en_activate            (GtkEntry        *entry,
                                        gpointer         user_data);										

void
on_search_result_tview_row_activated   (GtkTreeView     *treeview,
                                        GtkTreePath     *path,
                                        GtkTreeViewColumn *column,
                                        gpointer         user_data);


void
on_m_books_tview_cursor_changed        (GtkTreeView     *treeview,
                                        gpointer         user_data);

void
on_m_add_book_but_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_m_remove_book_but_clicked           (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_m_volume_cancel_but_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_m_volume_save_but_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_m_volume_update_but_clicked         (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_multi_volume_dlg_delete_event       (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_single_books_tview_cursor_changed   (GtkTreeView     *treeview,
                                        gpointer         user_data);
										
void
on_select_m_books_add_but_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_select_m_books_cancel_but_clicked   (GtkButton       *button,
                                        gpointer         user_data);
										
gboolean
on_select_m_books_dlg_delete_event     (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);										

void
on_single_books_tview_row_activated    (GtkTreeView     *treeview,
                                        GtkTreePath     *path,
                                        GtkTreeViewColumn *column,
                                        gpointer         user_data);
										
gboolean
on_display_book_info_dlg_delete_event  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_display_book_info_close_but_clicked (GtkButton       *button,
                                        gpointer         user_data);
